Package org.eclipse.emf.compare

# Interface ResourceLocationChange

All Superinterfaces:
  `Diff`, `EObject`, `Notifier`

All Known Implementing Classes:
  `ResourceLocationChangeImpl`, `ResourceLocationChangeSpec`

public interface ResourceLocationChange extends Diff
A representation of the model object 'Resource Location Change'. This particular kind of difference describes the change of a resource's location.

The following features are supported:

- `Base Location`
- `Changed Location`

Since:
  3.2
See Also:
  - `ComparePackage.getResourceLocationChange()`
Generated:

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`copyright`

## Method Summary

Modifier and Type
Method
Description
`String`
`getBaseLocation()`
Returns the value of the 'Base Location' attribute.
`String`
`getChangedLocation()`
Returns the value of the 'Changed Location' attribute.
`void`
`setBaseLocation(String value)`
Sets the value of the '`Base Location`' attribute.
`void`
`setChangedLocation(String value)`
Sets the value of the '`Changed Location`' attribute.

### Methods inherited from interface org.eclipse.emf.compare.Diff

`copyLeftToRight, copyRightToLeft, discard, getConflict, getEquivalence, getImpliedBy, getImplies, getKind, getMatch, getPrimeRefining, getRefinedBy, getRefines, getRequiredBy, getRequires, getSource, getState, setConflict, setEquivalence, setKind, setMatch, setSource, setState`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### copyright

static final String copyright

See Also:
  - Constant Field Values
Generated:

## Method Details

### getBaseLocation

String getBaseLocation()
Returns the value of the 'Base Location' attribute. Cannot be null. Represents the URI of the left resource of this mapping.

Returns:
  the value of the 'Base Location' attribute.
See Also:
  - `setBaseLocation(String)`
  - `ComparePackage.getResourceLocationChange_BaseLocation()`
Generated:

### setBaseLocation

void setBaseLocation(String value)
Sets the value of the '`Base Location`' attribute.

Parameters:
  `value` - the new value of the 'Base Location' attribute.
See Also:
  - `getBaseLocation()`
Generated:

### getChangedLocation

String getChangedLocation()
Returns the value of the 'Changed Location' attribute. Cannot be null. Represents the URI of the right resource of this mapping.

Returns:
  the value of the 'Changed Location' attribute.
See Also:
  - `setChangedLocation(String)`
  - `ComparePackage.getResourceLocationChange_ChangedLocation()`
Generated:

### setChangedLocation

void setChangedLocation(String value)
Sets the value of the '`Changed Location`' attribute.

Parameters:
  `value` - the new value of the 'Changed Location' attribute.
See Also:
  - `getChangedLocation()`
Generated: